<?php

/*
Plugin Name: Merry My Login
Plugin URI: http://christmaswebmaster.com/
Description: Merry My Login turns the default  WordPress Login (wp-login.php) page into a Cute Christmas Greeting to your users. Merry My Login features a fun snowy background and a plump smiling  Santa that's sure to put a a little Christmas spirit in your user's step. It's super cute and super simple to use, just upload, activate and be merry!
Author: Monica Haught
Version: 1.1
Author URI: http://christmaswebmaster.com/my-merry-login
*/

/*
Enqueue Merry My Login Stylesheet and Snowstorm
*/
function cw_merry_my_login_style() {
    wp_enqueue_style('cw_merry_my_login', plugins_url('assets/stylesheet.css', __FILE__));

}
add_action('login_enqueue_scripts', 'cw_merry_my_login_style');


/*
Changes Default WordPress Link to Blog Home Page
*/
function cw_merry_my_login_logo_url() {
    return get_bloginfo( 'url' );
}
add_filter( 'login_headerurl', 'cw_merry_my_login_logo_url' );

/*
Changes Default WordPress title attribute to 'Home Page'
*/
function cw_merry_my_login_logo_url_title() {
    return 'Home Page';
}
add_filter( 'login_headertitle', 'cw_merry_my_login_logo_url_title' );

/*
 Keep me logged in always checked
 */
function login_checked_remember_me() {
add_filter( 'login_footer', 'rememberme_checked' );
}
add_action( 'init', 'login_checked_remember_me' );

function rememberme_checked() {
echo "<script>document.getElementById('rememberme').checked = true;</script>";
}








